# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2019-09-01 12:41
from __future__ import unicode_literals

import datetime
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AccountInfo',
            fields=[
                ('username', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('password', models.TextField()),
                ('login_status', models.IntegerField(default=0)),
                ('balance', models.DecimalField(decimal_places=2, default=1000, max_digits=12, validators=[django.core.validators.MinValueValidator(0.01)])),
            ],
        ),
        migrations.CreateModel(
            name='TopUp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('top_up_amount', models.DecimalField(decimal_places=2, max_digits=12, validators=[django.core.validators.MinValueValidator(0.01)])),
                ('top_up_time', models.DateTimeField(default=datetime.datetime(2019, 9, 1, 20, 41, 12, 663031))),
                ('top_up_status', models.CharField(choices=[('processing', 'PROCESSING'), ('successful', 'SUCCESSFUL'), ('failed', 'FAILED')], default='processing', max_length=30, verbose_name='Top up status *Processing/Successful/Failed')),
                ('top_up_username', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='appname.AccountInfo')),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transaction_amount', models.DecimalField(decimal_places=2, max_digits=12, validators=[django.core.validators.MinValueValidator(0.01)])),
                ('transaction_time', models.DateTimeField(default=datetime.datetime(2019, 9, 1, 20, 41, 12, 662546))),
                ('transaction_status', models.CharField(choices=[('processing', 'PROCESSING'), ('successful', 'SUCCESSFUL'), ('failed', 'FAILED')], default='processing', max_length=30, verbose_name='Transaction Status *Processing/Successful/Failed ')),
                ('transaction_from_username', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='appname.AccountInfo')),
                ('transaction_to_username', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='appname.AccountInfo')),
            ],
        ),
    ]
